using IRaCIS.Core.Application.Contracts;
using Microsoft.AspNetCore.Mvc;

namespace IRaCIS.Core.Application.Services
{
    public interface IInstanceService
    {
        Task<FileContentResult> Content(Guid instanceId);
        Task<IEnumerable<DicomInstanceDTO>> List(Guid seriesId);
        IEnumerable<Guid> List(Guid seriesId, string tpCode, bool? key);
        Task<FileContentResult> Preview(Guid instanceId);
    }
}